<id>
pathfinder.mod
</id>

<version>
1.0
</version>

<mod info>
Finds the absolute path to a directory for you. The function is located in your Admin Center underneath the "Maintenance Controls" section. Useful for such mods as the file attachment mod, where you need to know the full path to your folder you want to store attachments in, or for finding the full path to your avatars folder.

Please note, you should search for directories with unique names. If you have two or more directories in your webspace with the same name, the mod will only tell you the path for the first one it finds. Searches should also be kept case sensitive. The larger and more complex your directory structure is, the longer the search will take.
</mod info>

<author>
Dave Baughman
</author>

<homepage>
http://www.baughmania.com
</homepage>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
    </table>
    </td>
    <td width="6">&nbsp;</td>
</search for>

<replace>
    </table><BR>
    <table border="0" cellpadding="4" cellspacing="1" bgcolor="$color{'bordercolor'}" class="bordercolor" width="100%">
      <tr>
        <td bgcolor="$color{'catbg'}" height="19" class="catbg"><img src="$imagesdir/board.gif" alt="" border="0"> <font size="2"><b>$pathfind{'1'}</b></td>
      </tr><tr>
        <td bgcolor="$color{'windowbg2'}" class="windowbg2">
        <font size="1">
~;
	if (!$FORM{'path_request'}) {
		$yymain .= "$pathfind{'2'}";
	} else {
		use File::Find;
		$toplevel = "$ENV{'DOCUMENT_ROOT'}";
		find({ wanted => \&List }, $toplevel);
		if ($dir_path) {
			$yymain .= qq~
			$pathfind{'3'} $FORM{'path_request'}:<br><b>$dir_path</b>
			~;
		} else {
			$yymain .= qq~
			$pathfind{'3'} $FORM{'path_request'}:<br><b>$pathfind{'4'}</b>
			~;
		}			
	}
$yymain .= qq~
	</font>
        <form action="$cgi;action=admin" method="POST">
        <input type=text name="path_request" size="30"> 
        <input type=submit value="Find Path"></form>
        </font></td>
      </tr>
    </table>
    </td>
    <td width="6">&nbsp;</td>
</replace>

<search for>
sub FullStats {
</search for>

<replace>
sub List {
	&is_admin;
	if((-d $_) && ($_ eq "$FORM{'path_request'}")) {
		$dir_path = "$File::Find::dir/$_";
	}
}

sub FullStats {
</replace>

<edit file>
germanDU_pl.lng
</edit file>

<search for>
1;
</search for>

<add before>
$pathfind{'1'} = "Pfadfinder";
$pathfind{'2'} = "Findet den absoluten Pfad zu Ordnern auf dem Webserver. Geben Sie<br> den  exakten Name des Ordners fr den Sie den Pfad wissen wollen<br>in die untere Dialogbox ein. Abhngig von der Gre ihres Verzeichnisses, <br>knnte es ein paar Sekunden dauern.";
$pathfind{'3'} = "Absoluter Pfad zu";
$pathfind{'4'} = "Verzeichnis auf Server nicht gefunden";
</add before>