<id>
Backup Center Mod
</id>

<version>
0.9c betaSP1.2
</version>

<mod info>
This mod file is for YaBB SP1.2 only!

Mod Info section incomplete in this beta version, I'll update it soon.

New to this version is the ability to create zip files rather than .tar compressed files.

YaBB Backup Center allows you to create a compressed archive file (.zip) that you can extract with WinZip etc.

The Manage Backup Directory page:
- Lists all Backup zip's currently in Backup storage dir, sorted newest first.
- Allows for deletion of single or all Backup files in dir.
- Allows for downloading of individual stored backups.
- Create a Instant Backup
- Backup Configuration Settings summary

You can select in Backup Center Settings page:
- Schedule Backup Never/Daily/Weekly/Monthly.
- Add a Timestamp to filename.
- Send Backup via E-Mail to a specified Address.
- Delete from Server after E-Mailing.

Installation instructions:
- Copy Lite.pm, Zip.pm, Tree.pm and backupcenter.pl to Sources dir.
- Copy backup.gif to your YaBBImages dir.
- Copy backupsettings.pl to your Variables dir and chmod to 0666.
- Create a Backup directory on your Server where the Backup file should be stored and CHMOD to 777
  I would suggest you make the Backup directory outside of the directory tree you plan 
  on backing up or the previous backup zips will get backed as well, making each new 
  successive backup that much larger.

IMPORTANT!!!!!!!
  --> protect the Backup dir with an .htaccess file so no one can download the backups.
IMPORTANT!!!!!!!

- Apply Mod file (realy simple)
- Go to Admin Center and click on Backup Settings
- Edit the settings and enter the ABSOLUTE Path from the dir you want to backup. Not the URL !!!
- Make a Test Backup

If you recieve an error regarding Types.pm, then copy to the Sources dir the Lite.pm in the "alternate Lite.pm" folder.

Credit goes to original mod author Homey and Dave Baughman for some borrowed code 
from the file attachment mod.
Credit to Michael Prager for the "Maintenance Mode" while backing up routine.
Credit to BHRA Webmaster for layout suggestions and testing. 

Also included is Dave Baughman's pathfinder.mod to help find absolute path's.

</mod info>

<author>
DummyProof
</author>

<homepage>
http://dummyyabb.sourceforge.net/cgi-bin/DYaBB2/YaBB.pl
</homepage>

<edit file>
YaBB.pl
</edit file>

<search for>
require "$sourcedir/Load.pl";
</search for>

<add after>
require "$sourcedir/backupcenter.pl";
</add after>

<search for>
&banning;		# Check for banned people
</search for>

<add after>
&AutoBackup;
</add after>

<search for>
sub yymain {
</search for>

<add after>
if (-e "$vardir/doing_backup.lock") { 
  $maintenance = 1; 
  $maintenancetext = 'Automatisches Backup luft. Dies knnte einige Minuten dauern.Bitte schauen Sie spter nochmal vorbei.'; 
}
</add after>

<search for>
	if ($action eq 'viewprofile') { require "$sourcedir/Profile.pl"; &ViewProfile; }
</search for>

<add after>
	elsif ($action eq 'backup') { require "$sourcedir/backupcenter.pl"; &backupcenter; }
	elsif ($action eq 'backupsettings') { require "$sourcedir/backupcenter.pl"; &Modifybusettings; }
	elsif ($action eq 'backupmanage2') { require "$sourcedir/backupcenter.pl"; &ViewBackups; }
	elsif ($action eq 'backupdelete') { require "$sourcedir/backupcenter.pl"; &DeleteBackups; }
	elsif ($action eq 'backupdown') { require "$sourcedir/backupcenter.pl"; &Download; }
	elsif ($action eq 'backupnow') { require "$sourcedir/backupcenter.pl"; &backupnow; }
</add after>

<edit file>
Sources/Admin.pl
</edit file>

<search for>
        <td bgcolor="$color{'catbg'}" height="19" class="catbg"><img src="$imagesdir/board.gif" alt="" border="0"> <font size="2"><b>$txt{'501'}</b></font></td>
      </tr><tr>
        <td bgcolor="$color{'windowbg2'}" class="windowbg2"><font size="1">
</search for>

<add after>
	- <a href="$cgi;action=backupmanage2">Backups verwalten</a><br>
</add after>

<edit file>
Sources/Subs.pl
</edit file>

<search for>
sub fatal_error {
</search for>

<add before>
sub yabb_alert { 
      local($e) = @_; 
      $yytitle = "Attention !"; 
      $yymain .= qq~ 
<table border=0 width="80%" cellspacing=1 bgcolor="$color{'bordercolor'}" class="bordercolor" align="center" cellpadding="4"> 
  <tr> 
    <td class="titlebg" bgcolor="$color{'titlebg'}"><font size=2 class="text1" color="$color{'titletext'}"><b>Attention!</b></font></td> 
  </tr><tr> 
    <td class="windowbg" bgcolor="$color{'windowbg'}"><BR><font size=2>$e</font><BR><BR></td> 
  </tr> 
</table> 
<center><BR><a href="javascript:history.go(-1)">$txt{'250'}</a></center> 
~; 
      &template; 
      exit; 
} 

</add before>